Subject: CCL: New Amber speed record + PC timing

From: [email-masked] (Jeyapandian Kottalam)
Date: Tue, 27 Sep 94 09:46:33 CDT

No need to accept personal bias.

> From: [email-masked] (Richard Walsh)
>
> > From: [email-masked] (Bill Ross 
> >
> > From time to time in the past I have sent my latest benchmarks
> > for Amber (molecular mechanics) when a new machine breaks the
> > speed record.
>
> The SGI TFP performance numbers are impressive, but they should be 
> presented here with as high a regard for completeness as for enthusiasm
> 
> Accepting the possibility of some personal bias :-)--

We are optimizing Amber4.1 for Cray C90.  For the first set of three jobs,
we get
C90              31.9    32.2    32.3

Benchmarks involving 100 energy evaluations do not provide fair comparisons
between vector and scalar machines.  Prosessing the molecular topology and
setting up the list of bonds, ect. is done only once.  This is scalar code.
The Cray does the minimization and dynamics fast after setting up the job
in scalar mode.  Realistic user jobs would involve several thousands of energy
evaluations.

Kottalam                              Phone: (USA) 612 683 3622
Senior Computational Chemist
Cray Research, Inc.